# begin()

`loop()`関数の初回コールの手前で一度だけ呼び出されます。TWENET の初期化は終了しているので`setup()`のような制約を考慮する必要はありません。

主な使い方は、

* 始動メッセージの表示
* 始動直後のスリープ遷移
* setup()で始動することに不都合がある処理

{% hint style="info" %}
このコールバック関数定義は省略可能です。
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mwx.twelite.info/v0.1.3/api-reference/functions/begin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
